with GNATCOM.Dispinterface;

package MSHTML.ISVGPathSegLinetoVerticalAbs_Interface is

   type ISVGPathSegLinetoVerticalAbs_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGPathSegLinetoVerticalAbs_Type);

   function Pointer (This : ISVGPathSegLinetoVerticalAbs_Type)
     return Pointer_To_ISVGPathSegLinetoVerticalAbs;

   procedure Attach (This    : in out ISVGPathSegLinetoVerticalAbs_Type;
                     Pointer : in     Pointer_To_ISVGPathSegLinetoVerticalAbs);

   procedure Put_y
     (This : ISVGPathSegLinetoVerticalAbs_Type;
      p    : Interfaces.C.C_float);

   function Get_y
     (This : ISVGPathSegLinetoVerticalAbs_Type)
     return Interfaces.C.C_float;

end MSHTML.ISVGPathSegLinetoVerticalAbs_Interface;

